# def same_to_next(lst: list) -> list:
#     same_to_next_lst = []
#     for idx, element in enumerate(lst[:-1]):
#         if lst[idx] == lst[idx+1]:
#             same_to_next_lst.append(element)
#     return same_to_next_lst

def same_to_next(lst: list) -> list:
    return [x for x, y in zip(lst, lst[1:]) if x == y]


check = [1, 2, 2, 2, 3, 3, 4]
print(same_to_next(check))  # [2, 2, 3]

check = list(range(1, 11))
print(same_to_next(check))  # []
